Subject: bug#75939: setting $MSYS2_ARG_CONV_EXCL in compile script?

From: Kirill Makurin <[email-masked]>
Date: Mon, 3 Feb 2025 11:57:04 +0000

I tested updated patches and they work for both Msys2 and *MinGW*. For completeness, I also tried using it from Cygwin and it works as expected.
________________________________
From: bug-automake-bounces+maiddaisuki=[email-masked] <bug-automake-bounces+maiddaisuki=[email-masked]> on behalf of Bruno Haible via Bug reports for Automake <[email-masked]>
Sent: Monday, February 3, 2025 7:56 PM
To: [email-masked] <[email-masked]>; Kirill Makurin <[email-masked]>
Cc: [email-masked] <[email-masked]>; Karl Berry <[email-masked]>
Subject: bug#75939: setting $MSYS2_ARG_CONV_EXCL in compile script?

Kirill Makurin wrote:
> I applied patches and they work for Msys2.
>
> I also tested it with (what I assume is) "Msys-based MinGW" (https://osdn.net/projects/mingw/) and it fails. Its `uname -s` reports `MINGW32_NT-6.2` and it has `MSYSTEM` set , and it lacks `cygpath`.
> ...
> I explicitly set `file_conv` to `mingw` in compile just for testing with this MinGW and there are no issues with double conversion.

Thanks for testing.

In the download area of https://osdn.net/projects/mingw/, I cannot see an
"Msys-based MinGW". Rather, the page says
  "This is the official download site for the latest packages originating
   from the MinGW.OSDN Project, (formerly the MinGW.org Project; however,
   that domain is no longer associated with this project)."

Maybe the mix between the original MinGW and MSYS occurred on your machine?

Anyway, here's an update of the patch series, that should make things work
also in this situation (regardless how it originated).

I wouldn't want to test for the presence of 'cygpath' _without_ also testing
$MSYSTEM, because that could malfunction for people who access the original
MinGW binaries through a Cygwin environment (which is another mix-up that
people might do).

Bruno